Update helm to 2.14.2, which helps pass lint on newer patchsets

Update shell scripts to pass newer shellcheck

Change-Id: I19f614368a51c338a01cc1f98f874cf2df4e8b06
diff --git a/scripts/portcheck.sh b/scripts/portcheck.sh
index 591a2a8..2d57f4e 100755
--- a/scripts/portcheck.sh
+++ b/scripts/portcheck.sh
@@ -55,7 +55,7 @@
     then
         echo "Kill the running services mentioned above before proceeding to install SEBA"
         echo "Terminating make"
-        exit -1
+        exit 1
 fi
 
 #The ports that are required by SEBA components will be added to the reserved port list